// 同步模块，信号收发
// 杭州秒寻科技有限公司
// 周涛
// 2023-11-20
// 注意：这部分代码为厂家提供，没做修改

#ifndef SYNCRXTX_H
#define SYNCRXTX_H

#include "sysdef.h"

// 供外部使用接口
uint8 sync_rxtx_send_signal();
uint8 sync_rxtx_send_signal_over();
uint8 sync_rxtx_ready_receive_signal();
uint8 sync_rxtx_ready_receive_signal_over();

uint8 sync_rxtx_clear_rx_fifo();
uint8 sync_rxtx_clear_tx_fifo();

uint8 sync_rxtx_clear_rx_int_flag();
uint8 sync_rxtx_clear_tx_int_flag();

void sync_rxtx_update_rx_alarm(uint8 byValue);
void sync_rxtx_update_tx_alarm(uint8 byValue);
uint8 sync_rxtx_query_rx_alarm();
uint8 sync_rxtx_query_tx_alarm();

void sync_rxtx_update_rx_cplt_flag(uint8 byValue);
void sync_rxtx_update_tx_cplt_flag(uint8 byValue);
uint8 sync_rxtx_query_rx_cplt_flag();
uint8 sync_rxtx_query_tx_cplt_flag();

#endif
